
QGIS Application - Bug report #20610

Add default parameter in GDAL contour

2018-11-23 04:28 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28430

Description

In processing:gdal contour the band number should default at 1, better than leaving it empty. Possibly this is true of other commands as

well.

Associated revisions

Revision 1e1ed79e - 2018-12-30 08:18 AM - Alexander Bruy

[processing] set default value for band parameters in GDAL algs (fix #20610)

Revision 8186f235 - 2018-12-30 02:54 PM - Alexander Bruy

Merge pull request #8762 from alexbruy/processing-gdal-defaults

[processing] set default value for band parameters in GDAL algs (fix #20610)

Revision 4ff4b6fa - 2019-01-01 07:10 AM - Alexander Bruy

[processing] set default value for band parameters in GDAL algs (fix #20610)

(cherry picked from commit 1e1ed79e2dede6e50b83623695663ff823cdef22)

Revision d5029f43 - 2019-01-01 08:15 AM - Alexander Bruy

Merge pull request #8771 from alexbruy/backports-gdal

[processing] set default value for band parameters in GDAL algs (fix #20610)

History

#1 - 2018-11-25 07:45 PM - Giovanni Manghi

- Subject changed from Add default parameter to Add default parameter in GDAL contour

#2 - 2018-12-30 02:54 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|1e1ed79e2dede6e50b83623695663ff823cdef22.

#3 - 2018-12-30 02:59 PM - Alexander Bruy

- Resolution set to fixed/implemented
